import type { NobjcObject } from "objc-js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _CIRenderInfo } from "./CIRenderInfo.js";
export declare class _CIRenderTask extends _NSObject {
    static alloc(): _CIRenderTask;
    static new(): _CIRenderTask;
    init(): _CIRenderTask;
    waitUntilCompletedAndReturnError$(error: NobjcObject | null): _CIRenderInfo | null;
}
